
From: Werner Almesberger <werner@almesberger.net>

Allow the buffer_foo() predicates to take a (const struct buffer_head *).

I've checked that the argument of test_bit is indeed "const" on all
architectures.

Signed-off-by: Werner Almesberger <werner@almesberger.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/buffer_head.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/buffer_head.h~make-buffer-head-argument-of-buffer_name-const include/linux/buffer_head.h
--- 25/include/linux/buffer_head.h~make-buffer-head-argument-of-buffer_name-const	2004-10-26 01:31:37.185761272 -0700
+++ 25-akpm/include/linux/buffer_head.h	2004-10-26 01:31:37.188760816 -0700
@@ -76,7 +76,7 @@ static inline void clear_buffer_##name(s
 {									\
 	clear_bit(BH_##bit, &(bh)->b_state);				\
 }									\
-static inline int buffer_##name(struct buffer_head *bh)			\
+static inline int buffer_##name(const struct buffer_head *bh)		\
 {									\
 	return test_bit(BH_##bit, &(bh)->b_state);			\
 }
_
